# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Kind.AdaptableHelper

    java.lang.Object
      com.google.gdata.data.Kind.AdaptableHelper

All Implemented Interfaces:
  Kind.Adaptable

Enclosing class:
  Kind

    public static class Kind.AdaptableHelper

extends java.lang.Object
implements Kind.Adaptable

A simple helper class implementation of the `Kind.Adaptable` interface. Classes that need to implement `Adaptable` can construct an instance of this class and delegate to it.

Constructor Summary
`Kind.AdaptableHelper()`

Method Summary
`void` `addAdaptor(Kind.Adaptor adaptor)` Associates a new `Kind.Adaptor` with this `Adaptable` instance.

`

`<E extends Kind.Adaptor> E`

`

`getAdaptor(java.lang.Class<E> adaptorClass)`
Returns a `Kind.Adaptor` instance associated with this `Adaptable` instance of the specified type, or {code null} if none is available..

`java.util.Collection<Kind.Adaptor>` `getAdaptors()` Returns the collection of `Kind.Adaptor` instances associated with the this `Adaptable` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Kind.AdaptableHelper

    public Kind.AdaptableHelper()

Method Detail

### addAdaptor

    public void addAdaptor(Kind.Adaptor adaptor)

  Description copied from interface: `Kind.Adaptable`
  Associates a new `Kind.Adaptor` with this `Adaptable` instance.

  Specified by:
    `addAdaptor` in interface `Kind.Adaptable`

### getAdaptors

    public java.util.Collection<Kind.Adaptor> getAdaptors()

  Description copied from interface: `Kind.Adaptable`
  Returns the collection of `Kind.Adaptor` instances associated with the this `Adaptable` instance.

  Specified by:
    `getAdaptors` in interface `Kind.Adaptable`

### getAdaptor

    public <E extends Kind.Adaptor> E getAdaptor(java.lang.Class<E> adaptorClass)

  Description copied from interface: `Kind.Adaptable`
  Returns a `Kind.Adaptor` instance associated with this `Adaptable` instance of the specified type, or {code null} if none is available..

  Specified by:
    `getAdaptor` in interface `Kind.Adaptable`